<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.editUser(${form.user.username})}">

<th:block layout:fragment="js-view">
    <script src="/webjars/inputmask/dist/jquery.inputmask.min.js"></script>
    <script src="/js/address/address-finder.js"></script>
    <script src="/js/user/create.js"></script>
</th:block>

<th:block layout:fragment="css-view">
</th:block>

<div layout:fragment="content">
    <div class="container">
        <div class="card">
        <div class="card-body">
            <form action="/user/edit" id="user-form" method="post">
                <th:block th:insert="user/fragments/create-edit-form-fields :: formFields(isCreate=false)"></th:block>
                <th:block
                        th:insert="address/fragments/create-edit-form-fields :: formFields(isCreate=false)"></th:block>

                <div class="card">
                    <div class="card-body">
                        <button class="btn btn-primary float-right" th:text="#{user.form.update}"
                                type="submit" id="submit-button">Salvar
                        </button>
                        <a class="btn btn-danger float-left" th:href="@{/}" th:text="#{user.form.cancel}">Cancelar</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </div>

    <div aria-hidden="true" class="modal fade" id="deactivate-profile-modal" role="dialog" tabindex="-1"
         th:fragment="deactivateProfileModal" th:unless="${isAdmin}">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" th:text="#{user.deactivateProfile.confirm.title}"></h5>
                    <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" th:text="#{user.deactivateProfile.confirm.body}">
                    Deseja realmente desativar este usuário?

                </div>
                <div class="d-none">
                    <form id="deactivate-profile-form" th:action="@{/user/toggle}" method="post">
                        <input type="hidden" name="userId" th:value="${form.user.id}">
                        <input type="hidden" name="originUrl" th:value="@{/}">
                    </form>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                    </button>
                    <button class="btn btn-primary" th:form="deactivate-profile-form"
                            th:value="#{confirm}" type="submit">Confirmar
                    </button>
                </div>
            </div>
        </div>
    </div>

</div>
